drop view lease_shop_sales ;
create view lease_shop_sales 

as
select
    sm.item_id as item_id,
    im.item_name as item_name,
    im.shop_code as shop_code,
    im.charge_per as charge_per,
    im.punit_price as punit_price,
    im.tax_per as tax_per,
    sm.sales_date as sales_date,
    sum(sm.sales_qty) as sales_qty,
    sum(sm.cash_amt) as cash_amt,
    sum(sm.cash_dc) as cash_dc,
    sum(sm.card_amt) as card_amt,
    sum(sm.card_dc) as card_dc,
    sum(sm.credit_amt) as credit_amt,
    sum(sm.credit_dc) as credit_dc,
    sum(sm.gbill_amt) as gbill_amt,
    sum(sm.gbill_dc) as gbill_dc from(
    select a.sales_date as sales_date,
           a.item_id as item_id,
           sum(a.sales_qty) as sales_qty,
           sum(a.sales_amt) as cash_amt,
           sum(a.dc_amt) as cash_dc,
           0 as card_amt,
           0 as card_dc,
           0 as credit_amt,
           0 as credit_dc,
           0 as gbill_amt,
           0 as gbill_dc from
      pos24.sales_itrans as a,pos24.sales_btrans as b where
      a.sales_date = b.sales_date and
      a.pos_no = b.pos_no and
      a.bill_no = b.bill_no and
      a.rec_cfc <> '' and
      b.cash_amt <> 0
      group by a.sales_date,a.item_id union
    select a.sales_date as sales_date,
           a.item_id as item_id,
           sum(a.sales_qty) as sales_qty,
           0 as cash_amt,
           0 as cash_dc,
           sum(a.sales_amt) as card_amt,
           sum(a.dc_amt) as card_dc,
           0 as credit_amt,
           0 as credit_dc,
           0 as gbill_amt,
           0 as gbill_dc from
      pos24.sales_itrans as a,pos24.sales_btrans as b where
      a.sales_date = b.sales_date and
      a.pos_no = b.pos_no and
      a.bill_no = b.bill_no and
      a.rec_cfc <> '' and
      b.card_amt <> 0
      group by a.sales_date,a.item_id union
    select a.sales_date as sales_date,
           a.item_id as item_id,
           sum(a.sales_qty) as sales_qty,
           0 as cash_amt,
           0 as cash_dc,
           0 as card_amt,
           0 as card_dc,
           sum(a.sales_amt) as credit_amt,
           sum(a.dc_amt) as credit_dc,
           0 as gbill_amt,
           0 as gbill_dc from
      pos24.sales_itrans as a,pos24.sales_btrans as b where
      a.sales_date = b.sales_date and
      a.pos_no = b.pos_no and
      a.bill_no = b.bill_no and
      a.rec_cfc <> '' and
      b.credit_amt <> 0
      group by a.sales_date,a.item_id union
    select a.sales_date as sales_date,
           a.item_id as item_id,
           sum(a.sales_qty) as sales_qty,
           0 as cash_amt,
           0 as cash_dc,
           0 as card_amt,
           0 as card_dc,
           0 as credit_amt,
           0 as credit_dc,
           sum(a.sales_amt) as gbill_amt,
           sum(a.dc_amt) as gbill_dc from
      pos24.sales_itrans as a,pos24.sales_btrans as b where
      a.sales_date = b.sales_date and
      a.pos_no = b.pos_no and
      a.bill_no = b.bill_no and
      a.rec_cfc <> '' and
      b.credit_amt <> 0
      group by a.sales_date,a.item_id) sm,item_master im
    where sm.item_id = im.item_id  
    group by item_id,item_name,shop_code,charge_per,punit_price,tax_per,sales_date
;